QGIS Application - Bug report #17010
Error message if no field selected in per-field convex hull generation
2017-08-11 01:21 PM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24909
Description

| just forgot to choose a field in Processing's Convex Hull tool while | was trying to generate separate hulls per field value and was greeted
with an non-explanatory error message:

Algorithm Convex hull starting...

float division by zero See log for more details

Please make sure the user did select a field and alert them if not.

History

#1 - 2017-08-13 10:08 PM - Giovanni Manghi
- Subject changed from "Useless" error message if no field selected in per-field convex hull generation to Error message if no field selected in per-field

convex hull generation

#2 - 2017-08-14 07:08 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This is fixed in 3.0 - the decision to use the per field mode is made by whether the user selects a field or not
